curl -X GET https://app.trypost.it/api/social-accounts \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
"platform": "linkedin",
"display_name": "John Doe",
"username": "johndoe",
"is_active": true,
"status": "connected"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"platform": "x",
"display_name": "John",
"username": "@johndoe",
"is_active": true,
"status": "connected"
}
]
}
List all connected social accounts for the current workspace.
curl -X GET https://app.trypost.it/api/social-accounts \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
"platform": "linkedin",
"display_name": "John Doe",
"username": "johndoe",
"is_active": true,
"status": "connected"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"platform": "x",
"display_name": "John",
"username": "@johndoe",
"is_active": true,
"status": "connected"
}
]
}
Show child attributes
linkedin, linkedin-page, x, facebook, instagram, tiktok, youtube, threads, pinterest, bluesky, or mastodon.connected, disconnected, or token_expired.curl -X GET https://app.trypost.it/api/social-accounts \
-H "Authorization: Bearer tp_your_api_key"
{
"data": [
{
"id": "b2c3d4e5-f6a7-8b9c-0d1e-2f3a4b5c6d7e",
"platform": "linkedin",
"display_name": "John Doe",
"username": "johndoe",
"is_active": true,
"status": "connected"
},
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"platform": "x",
"display_name": "John",
"username": "@johndoe",
"is_active": true,
"status": "connected"
}
]
}